Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Interface BlankNode

All Superinterfaces:
  ResourceNode, ValueNode, ValueObject

    public interface BlankNode

extends ResourceNode

This interface represents an instance of a blank (anonymous) node in AllegroGraph.

BlankNode instances are created by a call to the createBNode() methods in the AllegroGraph class.

Method Summary
`boolean` | `equals(java.lang.Object other)` Implement equality for BlankNode instances.
`java.lang.String` | `getID()` Retrieve the identifying string of the BlankNode instance.
`int` | `hashCode()` Compute the hashcode of a BlankNode instance.
`java.lang.String` | `toString()` This method overrides the generic toString method.

Methods inherited from interface com.franz.agbase.ResourceNode
`addProperty, getSubjectStatements`

Methods inherited from interface com.franz.agbase.ValueNode
`compareTo, getObjectStatements, queryAGId`

Method Detail

### getID

    java.lang.String getID()

  Retrieve the identifying string of the BlankNode instance.

  This identifying string exists only in the Java application. AllegroGraph does not implement persistent labels in the triple store. The persistent label of the BlankNode instance in the triple store is determined by the AllegroGraph implementation.

### toString

    java.lang.String toString()

  This method overrides the generic toString method. This method generates an output string of the form "_:siiiixnnn;.

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    boolean equals(java.lang.Object other)

  Implement equality for BlankNode instances.

  Two BlankNode instances are equal if they have identical AllegroGraph part identifiers. The part id is returned by the method getAGId().

  Otherwise, the string representations are compared.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    int hashCode()

  Compute the hashcode of a BlankNode instance.

  The hashcode of a BlankNode instance is the hashcode of its string representation.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD